--- /legal-archives/terms-2014-04-15
+++ /terms (2018-03-27)
@@ -137,14 +137,41 @@
 
 On cancellation for any reason all licences granted shall immediately end and your right to access and use the Service will end
+
+13. Acting as your data processor (GDPR)
+-----------------------------------------
+
+References in this clause 13 to a Regulation are to regulation 2016/679/EC. References to an Article are to an article of the Regulation. Capitalised terms in this clause have the meaning defined by the Regulation, unless defined elsewhere in these Terms of Service.
+
+We are your Processor in respect of Personal Data in communications which you make using the Service, and you instruct us to Process the Personal Data for the purpose of providing the Service. This clause 13 applies in respect of such Processing. If you instruct us to Process Personal Data for any other purpose, and we agree to do so, this clause 13 applies in respect of that additional Processing too.
+
+We shall:
+
+*   Process the Personal Data in accordance with all applicable data protection laws and regulations;
+*   Process the Personal Data only in accordance with your documented instructions;
+*   unless prohibited by law, notify you:
+    *   before Processing the Personal Data, if we are required by any law of the European Union or the law of one of the Member States of the European Union to act other than in accordance with your instructions; or
+    *   immediately if, in our opinion, any of your instructions infringes the Regulation or other Union or Member State data protection provisions;
+*   respect the conditions referred to in paragraphs 2 and 4 of Article 28 for any engagement of any third parties who Process Personal Data in the course of providing the Service. You give us your general authorisation for such engagement. Subject to clause 11, we shall be liable for the acts and omissions of our sub-processors, and we shall ensure that the sub-processor contract (as it relates to the Processing of Personal Data) is on terms which are substantially the same as, and in any case no less onerous than, the terms set out in this clause 13;
+*   treat the Personal Data as confidential information, and ensure that persons authorised to Process the Personal Data have committed themselves to confidentiality;
+*   take all measures required pursuant to Article 32;
+*   taking into account the nature of the Processing, assist you, at your cost, by implementing appropriate technical and organisational measures, insofar as this is possible, for the fulfilment of your obligation to respond to requests for exercising the Data Subject rights laid down in Chapter III of the Regulation;
+*   provide you, at your cost and on written request, with reasonable assistance in ensuring compliance with your obligations pursuant to Articles 32 to 36, taking into account the nature of Processing and the information available to us;
+*   at your choice, delete or return all the Personal Data to you after the end of the provision of the Services, and delete existing copies unless Union or Member State law requires storage of the Personal Data;
+*   at your cost and following written agreement as to the details:
+    *   make available to you all information necessary to demonstrate compliance with the obligations laid down in Article 28; and
+    *   allow for and contribute to audits, including inspections, conducted by you or another auditor mandated by you;
+*   notify you without undue delay if we become aware of a Personal Data Breach.
+
+We may transfer, publish, disclose, divulge or otherwise permit access to Personal Data by recipients (including sub-processors) in jurisdictions outside of the European Economic Area. Where the third country in question is not the subject of an adequacy decision, we shall comply with Article 46 in respect of this Processing.
 
-13. Resolving disputes
+14. Resolving disputes
 -----------------------
 
 If you have a dispute with us relating to the Service, in the first instance please contact us at [team@irccloud.com](mailto:team@irccloud.com) and we will attempt to resolve the dispute informally.
 
 In the unlikely event that IRCCloud has not been able to resolve a dispute informally, we will discuss and agree with you the most effective way of resolving our dispute.
 
-14. Changes to the Service
+15. Changes to the Service
 ---------------------------
 
 We are constantly updating and improving the Service to try and find ways to provide you with new and innovative features and services. Improvements and updates are also made to reflect changing technologies, tastes, behaviours and the way people use the Internet and the Service.
@@ -155,14 +182,14 @@
 
 We will try, where possible and reasonable, to contact you to let you know about any significant changes to the Service.
 
-15. Changes to the documents
+16. Changes to the documents
 -----------------------------
 
 We may revise these Terms of Service from time to time but the most current version will always be at: [irccloud.com/terms](/terms)
 
 Your continued use of the Service after these Terms of Service has been amended will be considered as your acceptance of the amended Terms of Service. We will notify you of any material changes to these Terms of Service and give you at least 30 days notice.
 
-16. Documents that apply to our relationship with you
+17. Documents that apply to our relationship with you
 ------------------------------------------------------
 
 The current version of the Terms of Service contains the only terms and conditions that apply to our relationship with you. Older versions of the Terms of Service will no longer apply to our relationship and will be completely replaced by the current version.
@@ -171,12 +198,12 @@
 
 If you do not comply with these Terms of Service and we do not take action immediately, this does not mean we have given up any right we have and we may still take action in the future.
 
-17. Law
+18. Law
 --------
 
 As we are based in England, English law will apply to all disputes and the interpretation of these Terms of Service. The English courts will have non-exclusive jurisdiction over any dispute arising from or related to your use of the Service although this does not affect any rights you have as a consumer.
 
-18. Contact, feedback and complaints
+19. Contact, feedback and complaints
 -------------------------------------
 
 If you need to contact us in relation to these Terms of Service or any other document mentioned in them, please email us at [team@irccloud.com](mailto:team@irccloud.com).
